from flask import Blueprint, jsonify

from config import *

api_v1 = Blueprint("api_v1", __name__, url_prefix="/api/v1")


@api_v1.route("/")
@api_v1.route("/health")
def api_index():
    return "Stackspin API v1.0"

@api_v1.route("/environment")
def api_environment():
    environment = {
        "HYDRA_PUBLIC_URL": HYDRA_PUBLIC_URL,
        "KRATOS_PUBLIC_URL": KRATOS_PUBLIC_URL,
    }
    return jsonify(environment)
